#!/usr/bin/perl
### ReadRoiIn.pl



use Env qw(INT_SCR INT_BIN MAI_SCR);
use lib "$INT_SCR";  #### Location of Generic.pm
use Generic;

sub Usage{

`$MAI_SCR/pod2man_mai.pl  $MAI_SCR/ReadRoiIn.pl`;
exit 1;
}



@ARGV >= 2 or Usage();
@args = @ARGV;

$roiin      	  = shift;
$SearchString 	  = shift;
$howmany          = shift;

$howmany or $howmany = 1;

open IN, "$roiin" or die "Can't read $roiin\n";
    
seek IN, 0, 0;
foreach $line (<IN>) {

	$NN1 = index($line,$SearchString);
	if ($NN1 != -1) {
		$NN1 = index($line,"=");
		$part = substr($line,$NN1+1);
		$NN1 = length($part);
		@part = split(" ",$part);
		last;
	}
}

for ($i=0;$i<$howmany;$i++){
	print $part[$i];
	print " ";
}


=pod

=head1 USAGE

B<ReadRoiIn.pl> I<date_roi.in filename, search string, # of parameters to read> 
  
=head1 FUNCTION

searches and returns specific date_roi.in inputs

=head1 HISTORY

Perl  Script : Noa BD Bechor, 01/02/2008
Modification: Noa BD Bechor, 25/Sep/2010

=head1 LAST UPDATE

Noa BD Bechor 2010/09/25

=cut

