#!/usr/bin/perl

$] >= 5.004 or die "Perl version must be >= 5.004 (Currently $]).\n";

sub Usage {
  print STDERR <<END;
Usage: pod2man.pl filename

    pod format at end must include:

=head1 USAGE

"usage statement"

=head1 FUNCTION

"function statement"

=head1 LAST UPDATE

name, date, year
"etc"

pod2man.pl will print to STDERR: 
Usage: usage statement
Function: function statment
*** name date year ***
END
    exit 1;

  }
@ARGV ==1 or Usage();
$file = shift;
open IN, "$file";

$line = <IN>;
$line = <IN>;
until ($line =~ /head1 USAGE/){
  $line = <IN>;
}
$line = <IN>;
$line = <IN>;
until ($line =~ /head1 FUNCTION/){
  $usage .= $line;
  $line = <IN>;
}
$line = <IN>;
$line = <IN>;
until ($line =~ /head1 HISTORY/){
  $function .= $line;
  $line = <IN>;
}
$line = <IN>;
$line = <IN>;
until ($line =~ /LAST UPDATE/){
  $history .= $line;
  $line = <IN>;
}
$line = <IN>;
$date = <IN>;
chomp $date;
chomp $usage;
chomp $function;
$usage =~ s/B<//g;
$usage =~ s/I<//g;
$usage =~ s/>//g;
$date  =~ s/\D+, //;
print STDERR "
Usage: $usage
Function: $function

*** Last Update $date 
*** For more info see http://roipac.org/
***		      http://roipac.org/MAI
*** 		      http://chandler.mit.edu/~nbechor/MAI

*** This software is part of a MAI ROI_PAC patch version 1.0
*** It is only useful with a full ROI_PAC installation, http://roipac.org 
";
    close IN;
=pod

=head1 HISTORY

Shell Script : Francois ROGEZ 96/98
Perl  Script : Rowena LOHMAN 04/18/98
Frederic CRAMPE, May 22, 1998
Noa BD Bechor, september 2010: Modified for MAI unofficial roi_pac patch 1.0

=head1 LAST UPDATE

Noa BD Bechor, September 2010

=cut


